pci_unregister_driver
Prev | PCI Support Library | Next

## Name

pci_unregister_driver — unregister a pci driver

## Synopsis

`void pci_unregister_driver (` | struct pci_driver * | drv`)`;

## Arguments

`drv`

  the driver structure to unregister

## Description

Deletes the driver structure from the list of registered PCI drivers, gives it a chance to clean up by calling its `remove` function for each device it was responsible for, and marks those devices as driverless.

Prev | Up | Next
__pci_register_driver | Home | pci_dev_driver